mysql图形管理工具mysqlphpadm安装

页面导航:首页 > 数据库 > Mysql > mysql图形管理工具mysqlphpadm安装

mysql图形管理工具mysqlphpadm安装

来源: 作者: 时间:2016-02-03 08:56 【

mysql图形管理工具mysqlphpadm安装[[email protected] mbstring] wget http: jaist dl sourceforge net project phpmyadmin phpMyAdmin 4 0 8 phpMyAdmin-4 0 8-all-languages tar gz[[email protected] mbstrin
mysql图形管理工具mysqlphpadm安装
 
[[email protected] mbstring]# wget http://jaist.dl.sourceforge.net/project/phpmyadmin/phpMyAdmin/4.0.8/phpMyAdmin-4.0.8-all-languages.tar.gz
 
[[email protected] mbstring]# tar xf phpMyAdmin-4.0.8-all-languages.tar.gz -C /www
 
[[email protected] mbstring]# chown daemon.daemon /www/ -R
 
[[email protected] mbstring]# service apache restart
 
 
访问页面http://127.0.0.1/phpadmin/index.php
报错
 
The mbstring extension is missing. Please check your configuration.
 
错误很明显php模块扩展,由于我已经装好了php,又不想重新编译,所以就只能动态扩展
 
[[email protected] logs]# cd /usr/src/php-5.3.27/ext/
[[email protected] ext]# cd mbstring/
 
[[email protected] mbstring]# phpize   -----生成configure 等文件
 
[[email protected] modules]# ./configure --with-libdir=/usr/local/lib/php/extensions/no-debug-zts-20060613 --with-php-config=/usr/local/bin/php-config
[[email protected] modules]# make && make install
Installing shared extensions:     /usr/local/lib/php/extensions/no-debug-zts-20090626/  ----------这个路径就是php模块扩展的路径
Installing header files:          /usr/local/include/php/
[[email protected] modules]# pwd
/usr/src/php-5.3.27/ext/mbstring/modules
[[email protected] modules]# ls 
mbstring.so
接下来就是要修改php.ini了
 
[[email protected] modules]# vi /usr/local/lib/php.ini
 
extension="/usr/local/lib/php/extensions/no-debug-zts-20090626/"
extension=mbstring.so
加入这两行,然后重启apache
 
再次访问http://127.0.0.1/phpadmin/index.php
 
授权一个tt用户
 
mysql> grant all on *.* to [email protected] identified by '123';
Query OK, 0 rows affected (0.12 sec)
 
 
mysql> flush privileges;
Query OK, 0 rows affected (0.00 sec)
以tt用户登录
 
 
 
 
 发现报错,缺少 mcrypt 扩展。请检查 PHP 配
又是模块扩展,那就在打个补丁吧。
 
[[email protected] mcrypt]# pwd
/usr/src/php-5.3.27/ext/mcrypt
[[email protected] mcrypt]# ls
config.m4   mcrypt.dsp        mcrypt.lo            tests
config.w32  mcrypt_filter.c   mcrypt.o             TODO
CREDITS     mcrypt_filter.lo  php_mcrypt_filter.h
mcrypt.c    mcrypt_filter.o   php_mcrypt.h
[[email protected] mcrypt]# phpize;ls
Configuring for:
PHP Api Version:         20090626
Zend Module Api No:      20090626
Zend Extension Api No:   220090626
acinclude.m4    config.w32        mcrypt.lo
aclocal.m4      CREDITS           mcrypt.o
autom4te.cache  install-sh        missing
build           ltmain.sh         mkinstalldirs
config.guess    Makefile.global   php_mcrypt_filter.h
config.h.in     mcrypt.c          php_mcrypt.h
config.m4       mcrypt.dsp        run-tests.php
config.sub      mcrypt_filter.c   tests
configure       mcrypt_filter.lo  TODO
configure.in    mcrypt_filter.o
现在就就可以编译了
 
[[email protected] mcrypt]# ./configure --with-php-config=/usr/local/bin/php-config --with-mcrypt=/usr
[[email protected] mcrypt]# make
 
[[email protected] mcrypt]# make install
Installing shared extensions:     /usr/local/lib/php/extensions/no-debug-zts-20090626/
[[email protected] mcrypt]# ls modules/
mcrypt.so
[[email protected] mcrypt]# vi /usr/local/lib/php.ini
extension=mcrypt.so        ---------------增加这一行
新版本的PhpMyAdmin 增强了安全性,需要在配置文件设置一个短语密码。否则进入之后会有“配置文件现在需要一个短语密码。”的红色警叹提示。    解决方法:
 
 
 
 
    1、将 phpMyAdmin/libraries/config.default.php中的
    $cfg['blowfish_secret'] = ''; 改成 $cfg['blowfish_secret'] = '123456'; (注:其中的’123456′为随意的字符)
 
[[email protected] libraries]# pwd
/www/phpadmin/libraries
[[email protected] libraries]# vi config.default.php
$cfg['blowfish_secret'] = '123456';
 
 
   2、在phpMyAdmin目录中,打开config.sample.inc.php,18行
 
 
   $cfg['blowfish_secret'] = ''; 改成 $cfg['blowfish_secret'] = '123456'; (注:其中的’123456′为随意的字符)
 
    这个密码用于Cookies的,以免多个PhpMyAdmin或者和其他程序共用Cookies时搞混。
    做好以上两步,刷新网页,OK,“配置文件现在需要一个短语密码。”的提示不存在了!
 
重启apache之后访问没有再报这个错误。
 
 
 
Tags:

文章评论

最 近 更 新
热 点 排 行
Js与CSS工具
代码转换工具

<